summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordavor <vorgrimmlerdavid@gmx.de>2012-08-22 12:07:10 +0200
committerdavor <vorgrimmlerdavid@gmx.de>2012-08-22 12:07:10 +0200
commit50e0f7ff1020a343c632c15cedf332af21b54041 (patch)
tree7deff8673dcb1549a51c81499ff447b4b051e95d
parentb4c58ae9f27b819290dadca8516a480dc3e1b201 (diff)
Rm separated 4S backends.
-rwxr-xr-xinstall4
-rw-r--r--ot-tools-user.sh25
2 files changed, 11 insertions, 18 deletions
diff --git a/install b/install
index 0c88ff3..7561732 100755
--- a/install
+++ b/install
@@ -36,7 +36,7 @@ echo -n "We need to do some privileged action. "
sudo echo -n ""
echo
-[ -f $OT_PREFIX/install/utils.sh ] || (cmd="mkdir -p $OT_PREFIX/install && cp utils.sh $OT_PREFIX/install" && run_cmd "$cmd" "utils.sh => OT_PREFIX/install")
+[ -f $OT_PREFIX/install/utils.sh ] || (cmd="mkdir -p $OT_PREFIX/install && cp utils.sh $OT_PREFIX/install" && run_cmd "$cmd" "utils.sh => $OT_PREFIX/install")
[ -f $HOME/.opentox/config/install/config.sh ] || (cmd="mkdir -p $HOME/.opentox/config/install && cp config.sh $HOME/.opentox/config/install" && run_cmd "$cmd" "config.sh => $HOME/.opentox/config/install")
[ -f $OT_DEFAULT_CONF ] || (cmd="echo '\$aa = { :uri => nil }' > $OT_DEFAULT_CONF" && run_cmd "$cmd" "default.rb => $HOME/.opentox/config")
@@ -58,7 +58,7 @@ fi
[ -f $HOME/.opentox/config/ambit_descriptors.yaml ] || (cmd="cp ambit_descriptors.yaml $HOME/.opentox/config/" && run_cmd "$cmd" "Ambit keys file")
[ -f $HOME/.opentox/config/jl_keys.yaml ] || (cmd="cp jl_keys.yaml $HOME/.opentox/config/" && run_cmd "$cmd" "Joelib keys file")
-[ -f $OT_TOOLS_CONF ] || (cmd="cp ot-tools-user.sh $OT_TOOLS_CONF" && run_cmd "$cmd" "Created ot-tools (stored in ~/.opentox)")
+[ -f $OT_TOOLS_CONF ] || (cmd="cp ot-tools-user.sh $OT_TOOLS_CONF" && run_cmd "$cmd" "ot-tools.sh => $HOME/.opentox)")
# Install global ruby version
diff --git a/ot-tools-user.sh b/ot-tools-user.sh
index 047491d..d428b0c 100644
--- a/ot-tools-user.sh
+++ b/ot-tools-user.sh
@@ -46,25 +46,18 @@ otstart() {
otkill $1
DIR=`pwd`
case "$1" in
- "algorithm") start_4s $1 9081;
- start_unicorn $1 8081;;
- "compound") start_4s $1 9082;
- start_unicorn $1 8082;;
- "dataset") start_4s $1 9083;
- start_unicorn $1 8083;;
- "feature") start_4s $1 9084;
- start_unicorn $1 8084;;
- "model") #start_4s $1 9085;
- #start_unicorn $1 8085;;
+ "algorithm") start_unicorn $1 8081;;
+ "compound") start_unicorn $1 8082;;
+ "dataset") start_unicorn $1 8083;;
+ "feature") start_unicorn $1 8084;;
+ "model") #start_unicorn $1 8085;;
echo "$1 not available yet.";;
- "task") start_4s $1 9086;
- start_unicorn $1 8086;;
- "validation") #start_4s $1 9087;
- #start_unicorn $1 8087;;
+ "task") start_unicorn $1 8086;;
+ "validation") #start_unicorn $1 8087;;
echo "$1 not available yet.";;
"4store") start_4s opentox 9088;;
- #if ! pgrep -u $USER 4s-backend>/dev/null 2>&1; then echo "Failed to start 4s-backend."; fi
- #if ! pgrep -u $USER 4s-httpd>/dev/null 2>&1; then echo "Failed to start 4s-httpd."; fi;;
+ if ! pgrep -u $USER 4s-backend>/dev/null 2>&1; then echo "Failed to start 4s-backend."; fi
+ if ! pgrep -u $USER 4s-httpd>/dev/null 2>&1; then echo "Failed to start 4s-httpd."; fi;;
"all") otstart 4store;
otstart algorithm;
otstart compound;